summaryrefslogtreecommitdiff
path: root/tests/du/slink
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-10-04 11:19:22 +0000
committerJim Meyering <jim@meyering.net>2002-10-04 11:19:22 +0000
commit4adcccbf487bdb8a27e26913aa8964c9df1e46cf (patch)
tree94cc6b25cc4c173bca9cefda74228a336811020b /tests/du/slink
parentc19dbea39cbf01636986e29ca672ecb789d8225c (diff)
downloadcoreutils-4adcccbf487bdb8a27e26913aa8964c9df1e46cf.tar.xz
Redirect errors (e.g. missing file) to /dev/null.
Diffstat (limited to 'tests/du/slink')
-rwxr-xr-xtests/du/slink4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/du/slink b/tests/du/slink
index 008360924..462e8e911 100755
--- a/tests/du/slink
+++ b/tests/du/slink
@@ -27,7 +27,9 @@ for len in $symlink_name_lengths; do
# Ignore failures.
ln -fs $name $len > /dev/null 2>&1
done
-du -a $symlink_name_lengths > out || fail=1
+
+# Redirect errors (e.g. missing file) to /dev/null.
+du -a $symlink_name_lengths > out 2> /dev/null || fail=1
# Require that at least one of these symlinks has a non-zero size.
grep '^[1-9]' out > /dev/null || fail=1